extends Node

var nextScene : String = "res://ui/main_menu.tscn"
var neededPoints : int = 100

func try_get_node(path: String):
	if get_tree().root.has_node(path):
		return get_tree().root.get_node(path)
	else:
		printerr("Could not find node at ", path)
		return null
		
func get_placeable_manager() -> PlaceableManager:
	return try_get_node("Level/PlaceableManager")

func get_score_ui_node() -> Score:
	return try_get_node("Level/IngameUi/score/MarginContainer/HBoxContainer/ScoreBar")

func get_current_level() -> Level:
	return try_get_node("Level")
